Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model
Interface VView

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VElement

All Known Implementing Classes:
  VViewImpl

    public interface VView

extends VElement

A representation of the model object 'View'.

Since:
  1.2
See Also:
  `VViewPackage.getView()`

Method Summary
`org.eclipse.emf.common.util.EList<VContainedElement>` | `getChildren()` Returns the value of the 'Children' containment reference list.
`String` | `getEcorePath()` Returns the value of the 'Ecore Path' attribute.
`org.eclipse.emf.ecore.EClass` | `getRootEClass()` Returns the value of the 'Root EClass' reference.
`void` | `setAllContentsReadOnly()` Sets the view and all its contents readonly.
`void` | `setEcorePath(String value)` Sets the value of the '`Ecore Path`' attribute.
`void` | `setRootEClass(org.eclipse.emf.ecore.EClass value)` Sets the value of the '`Root EClass`' reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRootEClass

    org.eclipse.emf.ecore.EClass getRootEClass()

  Returns the value of the 'Root EClass' reference.

  If the meaning of the 'Root EClass' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Root EClass' reference.
  See Also:
    `setRootEClass(EClass)`, `VViewPackage.getView_RootEClass()`

### setRootEClass

    void setRootEClass(org.eclipse.emf.ecore.EClass value)

  Sets the value of the '`Root EClass`' reference.

  Parameters:
    `value` - the new value of the 'Root EClass' reference.
  See Also:
    `getRootEClass()`

### getChildren

    org.eclipse.emf.common.util.EList<VContainedElement> getChildren()

  Returns the value of the 'Children' containment reference list. The list contents are of type `VContainedElement`.

  If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `VViewPackage.getView_Children()`

### getEcorePath

    String getEcorePath()

  Returns the value of the 'Ecore Path' attribute. If the value is null, then the containing EPackage of the rootEClass must be registered by default in the EPackage registry.

  If the meaning of the 'Ecore Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ecore Path' attribute.
  Since:
    1.3
  See Also:
    `setEcorePath(String)`, `VViewPackage.getView_EcorePath()`

### setEcorePath

    void setEcorePath(String value)

  Sets the value of the '`Ecore Path`' attribute.

  Parameters:
    `value` - the new value of the 'Ecore Path' attribute.
  Since:
    1.3
  See Also:
    `getEcorePath()`

### setAllContentsReadOnly

    void setAllContentsReadOnly()

  Sets the view and all its contents readonly.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.